import:
  - ../TOMBaseStyles/TOMSourceProd.yaml
  - ../TOMBaseStyles/TOMDark.yaml
  - ../TOMBaseStyles/TOMBuildingLayer.yaml
  - ../TOMBaseStyles/TOMArchitecturalLabels.yaml
  - ../TOMBaseStyles/TOMWikipedia.yaml

layers:
    buildings:
        market_stall:
            filter: {"architecture_typology": "market_stall" }
            draw:
                polygons:
                    color: "#d7191c"
        first_swahili:
            filter: {"architecture_typology": "high_street" }
            draw:
                polygons:
                    color: [0.906, 0.357, 0.227]
        classic_swahili:
            filter: {"architecture_typology": "indian_shopfront" }
            draw:
                polygons:
                    color: [0.973, 0.616, 0.349]
        omani:
            filter: {"architecture_typology": "modern_indian_shopfront" }
            draw:
                polygons:
                    color: '#fdc980'
        indian:
            filter: {"architecture_typology": "arcade_building" }
            draw:
                polygons:
                    color: [0.996, 0.929, 0.667]
        art_deco:
            filter: {"architecture_typology": "single_storey_swahili" }
            draw:
                polygons:
                    color: '#FE8C73'
        british_colonial:
            filter: {"architecture_typology": "modern_multi_storey_swahili" }
            draw:
                polygons:
                    color: [0.780, 0.910, 0.678]
        eclectic:
            filter: {"architecture_typology": "modern_swahili" }
            draw:
                polygons:
                    color: [0.612, 0.827, 0.651]
        modernism:
            filter: {"architecture_typology": "post_modern_multi_storey_swahili" }
            draw:
                polygons:
                    color: [0.388, 0.671, 0.690]
        hyper_modern:
            filter: {"architecture_typology": "apartment_block" }
            draw:
                polygons:
                    color: '#2b83ba'
        fromhereonitsNLhyper_modern:
            filter: {"architecture_typology": "suburban_villa" }
            draw:
                polygons:
                    color: '#2f20ba'
        art_nouveau:
            filter: {"architecture_typology": "madrasa" }
            draw:
                polygons:
                    color: '#811fba'
        modern:
            filter: {"architecture_typology": "mosque" }
            draw:
                polygons:
                    color: '#b51aba'
        rijnllandse_gothic:
            filter: {"architecture_typology": "government" }
            draw:
                polygons:
                    color: '#ba1361'
        public_school:
            filter: {"architecture_typology": "public_school" }
            draw:
                polygons:
                    color: '#ba1361'
        others:
            filter: {"architecture_typology": "others" }
            draw:
                polygons:
                    color: '#ba1361'
